# IEventFilter

Namespace: **Wisej.Core**

Assembly: **Wisej.Framework** (4.0.0.0)

Defines the event filter interface to use with the [AddEventFilter](/api/wisej.web/general/application.md#addeventfilter-filter) method.

{% tabs %}
{% tab title="C#" %}

```csharp
public interface IEventFilter
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Interface IEventFilter
```

{% endtab %}
{% endtabs %}

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) PreFilterEvent(e)

Process an event before it is dispatched.

| Parameter | Type                                                        | Description                                                                                                   |
| --------- | ----------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------- |
| **e**     | [WisejEventArgs](/api/wisej.core/general/wisejeventargs.md) | An instance of [WisejEventArgs](/api/wisej.core/general/wisejeventargs.md) containing the data for the event. |

**Returns:** [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean). true to stop the event from being dispatched; false to allow the event to continue to the next filter or control.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.core/general/wisej.core.ieventfilter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
